/**
 * @desc 配置容器
 * @author denghuan
 */
import React from 'react';
import { ConfigProvider as AntConfigProvider } from 'antd';
import { ThemeProvider } from 'styled-components';
import zhCN from 'antd/es/locale/zh_CN';
import { THEME_DARK } from '../styles/themes/default';
// TODO 移到对应组件中
import GlobalStyle from '../styles/components';
import AgGridStyle from '../jx-table/style';
export function ConfigProvider(props) {
    const { children, theme } = props;
    const newTheme = { ...THEME_DARK, ...theme };
    return (React.createElement(AntConfigProvider, { locale: zhCN, ...props },
        React.createElement(ThemeProvider, { theme: newTheme },
            React.createElement(GlobalStyle, null),
            React.createElement(AgGridStyle, null),
            children)));
}
